Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/SelfTest/src/main.cpp	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/SelfTest/src/main.cpp	(revision 128)
@@ -101,4 +101,6 @@
       
       test (name,param);
+
+      delete param;
     }
   catch (morpheo::ErrorMorpheo & error)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/SelfTest/src/test.cpp	(revision 117)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/SelfTest/src/test.cpp	(revision 128)
@@ -137,4 +137,75 @@
   sc_signal<Tcontrol_t> *  in_NRESET = new sc_signal<Tcontrol_t> ("NRESET");
 
+  sc_signal<Tcontrol_t         > ***  in_EXECUTE_LOOP_VAL                     ;
+  sc_signal<Tcontrol_t         > *** out_EXECUTE_LOOP_ACK                     ;
+  sc_signal<Tcontext_t         > ***  in_EXECUTE_LOOP_CONTEXT_ID              ;
+  sc_signal<Tcontext_t         > ***  in_EXECUTE_LOOP_FRONT_END_ID            ;
+  sc_signal<Tpacket_t          > ***  in_EXECUTE_LOOP_PACKET_ID               ;
+//sc_signal<Toperation_t       > ***  in_EXECUTE_LOOP_OPERATION               ;
+//sc_signal<Ttype_t            > ***  in_EXECUTE_LOOP_TYPE                    ;
+  sc_signal<Tspecial_data_t    > ***  in_EXECUTE_LOOP_FLAGS                   ;
+  sc_signal<Texception_t       > ***  in_EXECUTE_LOOP_EXCEPTION               ;
+  sc_signal<Tcontrol_t         > ***  in_EXECUTE_LOOP_NO_SEQUENCE             ;
+  sc_signal<Tgeneral_data_t    > ***  in_EXECUTE_LOOP_ADDRESS                 ;
+  sc_signal<Tgeneral_data_t    > ***  in_EXECUTE_LOOP_DATA                    ;
+
+  sc_signal<Tcontrol_t         >  ** out_COMMIT_VAL                           ;
+  sc_signal<Tcontrol_t         >  **  in_COMMIT_ACK                           ;
+  sc_signal<Tcontrol_t         >  ** out_COMMIT_WEN                           ;
+  sc_signal<Tcontext_t         >  ** out_COMMIT_CONTEXT_ID                    ;
+  sc_signal<Tcontext_t         >  ** out_COMMIT_FRONT_END_ID                  ;
+  sc_signal<Tpacket_t          >  ** out_COMMIT_PACKET_ID                     ;
+//sc_signal<Toperation_t       >  ** out_COMMIT_OPERATION                     ;
+//sc_signal<Ttype_t            >  ** out_COMMIT_TYPE                          ;
+  sc_signal<Tspecial_data_t    >  ** out_COMMIT_FLAGS                         ;
+  sc_signal<Texception_t       >  ** out_COMMIT_EXCEPTION                     ;
+  sc_signal<Tcontrol_t         >  ** out_COMMIT_NO_SEQUENCE                   ;
+  sc_signal<Tgeneral_data_t    >  ** out_COMMIT_ADDRESS                       ;
+  sc_signal<Tgeneral_address_t >  **  in_COMMIT_NUM_REG_RD                    ;
+
+  sc_signal<Tcontrol_t         >  ** out_SPR_VAL                              ;
+  sc_signal<Tcontrol_t         >  **  in_SPR_ACK                              ;
+  sc_signal<Tcontrol_t         >  ** out_SPR_WEN                              ;
+  sc_signal<Tcontext_t         >  ** out_SPR_CONTEXT_ID                       ;
+  sc_signal<Tcontext_t         >  ** out_SPR_FRONT_END_ID                     ;
+  sc_signal<Tspr_address_t     >  ** out_SPR_NUM_GROUP                        ;
+  sc_signal<Tspr_address_t     >  ** out_SPR_NUM_REG                          ;
+  sc_signal<Tspr_t             >  ** out_SPR_WDATA                            ;
+  sc_signal<Tspr_t             >  **  in_SPR_RDATA                            ;
+  sc_signal<Tcontrol_t         >  **  in_SPR_INVALID                          ;
+
+  sc_signal<Tcontrol_t         >  **  in_REEXECUTE_ROB_VAL                    ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_ROB_ACK                    ;
+  sc_signal<Tcontext_t         >  **  in_REEXECUTE_ROB_CONTEXT_ID             ;
+  sc_signal<Tcontext_t         >  **  in_REEXECUTE_ROB_FRONT_END_ID           ;
+  sc_signal<Tpacket_t          >  **  in_REEXECUTE_ROB_PACKET_ID              ;
+  sc_signal<Toperation_t       >  **  in_REEXECUTE_ROB_OPERATION              ;
+  sc_signal<Ttype_t            >  **  in_REEXECUTE_ROB_TYPE                   ;
+  sc_signal<Tlsq_ptr_t         >  **  in_REEXECUTE_ROB_STORE_QUEUE_PTR_WRITE  ;
+
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_VAL                        ;
+  sc_signal<Tcontrol_t         >  **  in_REEXECUTE_ACK                        ;
+  sc_signal<Tcontext_t         >  ** out_REEXECUTE_CONTEXT_ID                 ;
+  sc_signal<Tcontext_t         >  ** out_REEXECUTE_FRONT_END_ID               ;
+  sc_signal<Tpacket_t          >  ** out_REEXECUTE_PACKET_ID                  ;
+  sc_signal<Toperation_t       >  ** out_REEXECUTE_OPERATION                  ;
+  sc_signal<Ttype_t            >  ** out_REEXECUTE_TYPE                       ;
+  sc_signal<Tlsq_ptr_t         >  ** out_REEXECUTE_STORE_QUEUE_PTR_WRITE      ;
+  sc_signal<Tlsq_ptr_t         >  ** out_REEXECUTE_STORE_QUEUE_PTR_READ       ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_STORE_QUEUE_EMPTY          ;
+  sc_signal<Tlsq_ptr_t         >  ** out_REEXECUTE_LOAD_QUEUE_PTR_WRITE       ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_HAS_IMMEDIAT               ;
+  sc_signal<Tgeneral_data_t    >  ** out_REEXECUTE_IMMEDIAT                   ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_READ_RA                    ;
+  sc_signal<Tgeneral_address_t >  ** out_REEXECUTE_NUM_REG_RA                 ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_READ_RB                    ;
+  sc_signal<Tgeneral_address_t >  ** out_REEXECUTE_NUM_REG_RB                 ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_READ_RC                    ;
+  sc_signal<Tspecial_address_t >  ** out_REEXECUTE_NUM_REG_RC                 ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_WRITE_RD                   ;
+  sc_signal<Tgeneral_address_t >  ** out_REEXECUTE_NUM_REG_RD                 ;
+  sc_signal<Tcontrol_t         >  ** out_REEXECUTE_WRITE_RE                   ;
+  sc_signal<Tspecial_address_t >  ** out_REEXECUTE_NUM_REG_RE                 ;
+
   ALLOC2_SC_SIGNAL( in_EXECUTE_LOOP_VAL                     ," in_EXECUTE_LOOP_VAL                   ",Tcontrol_t         ,_param->_nb_execute_loop,_param->_nb_inst_execute[it1]);
   ALLOC2_SC_SIGNAL(out_EXECUTE_LOOP_ACK                     ,"out_EXECUTE_LOOP_ACK                   ",Tcontrol_t         ,_param->_nb_execute_loop,_param->_nb_inst_execute[it1]);
@@ -192,4 +263,6 @@
   ALLOC1_SC_SIGNAL(out_REEXECUTE_TYPE                       ,"out_REEXECUTE_TYPE                     ",Ttype_t            ,_param->_nb_inst_reexecute);
   ALLOC1_SC_SIGNAL(out_REEXECUTE_STORE_QUEUE_PTR_WRITE      ,"out_REEXECUTE_STORE_QUEUE_PTR_WRITE    ",Tlsq_ptr_t         ,_param->_nb_inst_reexecute);
+  ALLOC1_SC_SIGNAL(out_REEXECUTE_STORE_QUEUE_PTR_READ       ,"out_REEXECUTE_STORE_QUEUE_PTR_READ     ",Tlsq_ptr_t         ,_param->_nb_inst_reexecute);
+  ALLOC1_SC_SIGNAL(out_REEXECUTE_STORE_QUEUE_EMPTY          ,"out_REEXECUTE_STORE_QUEUE_EMPTY        ",Tcontrol_t         ,_param->_nb_inst_reexecute);
   ALLOC1_SC_SIGNAL(out_REEXECUTE_LOAD_QUEUE_PTR_WRITE       ,"out_REEXECUTE_LOAD_QUEUE_PTR_WRITE     ",Tlsq_ptr_t         ,_param->_nb_inst_reexecute);
   ALLOC1_SC_SIGNAL(out_REEXECUTE_HAS_IMMEDIAT               ,"out_REEXECUTE_HAS_IMMEDIAT             ",Tcontrol_t         ,_param->_nb_inst_reexecute);
@@ -284,4 +357,6 @@
   INSTANCE1_SC_SIGNAL(_Reexecute_unit,out_REEXECUTE_TYPE                       ,_param->_nb_inst_reexecute);
   INSTANCE1_SC_SIGNAL(_Reexecute_unit,out_REEXECUTE_STORE_QUEUE_PTR_WRITE      ,_param->_nb_inst_reexecute);
+  INSTANCE1_SC_SIGNAL(_Reexecute_unit,out_REEXECUTE_STORE_QUEUE_PTR_READ       ,_param->_nb_inst_reexecute);
+  INSTANCE1_SC_SIGNAL(_Reexecute_unit,out_REEXECUTE_STORE_QUEUE_EMPTY          ,_param->_nb_inst_reexecute);
   if (_param->_have_port_load_queue_ptr)
   INSTANCE1_SC_SIGNAL(_Reexecute_unit,out_REEXECUTE_LOAD_QUEUE_PTR_WRITE       ,_param->_nb_inst_reexecute);
@@ -475,4 +550,6 @@
 		TEST(Tcontrol_t        ,out_REEXECUTE_HAS_IMMEDIAT          [i]->read(), 1);
 		TEST(Tlsq_ptr_t        ,out_REEXECUTE_STORE_QUEUE_PTR_WRITE [i]->read(), 0);
+		TEST(Tlsq_ptr_t        ,out_REEXECUTE_STORE_QUEUE_PTR_READ  [i]->read(), 0);
+		TEST(Tlsq_ptr_t        ,out_REEXECUTE_STORE_QUEUE_EMPTY     [i]->read(), 0);
 		TEST(Tlsq_ptr_t        ,out_REEXECUTE_LOAD_QUEUE_PTR_WRITE  [i]->read(), 0);
 		TEST(Tcontrol_t        ,out_REEXECUTE_READ_RA               [i]->read(), 0);
@@ -568,4 +645,6 @@
   DELETE1_SC_SIGNAL(out_REEXECUTE_TYPE                       ,_param->_nb_inst_reexecute);
   DELETE1_SC_SIGNAL(out_REEXECUTE_STORE_QUEUE_PTR_WRITE      ,_param->_nb_inst_reexecute);
+  DELETE1_SC_SIGNAL(out_REEXECUTE_STORE_QUEUE_PTR_READ       ,_param->_nb_inst_reexecute);
+  DELETE1_SC_SIGNAL(out_REEXECUTE_STORE_QUEUE_EMPTY          ,_param->_nb_inst_reexecute);
   DELETE1_SC_SIGNAL(out_REEXECUTE_LOAD_QUEUE_PTR_WRITE       ,_param->_nb_inst_reexecute);
   DELETE1_SC_SIGNAL(out_REEXECUTE_HAS_IMMEDIAT               ,_param->_nb_inst_reexecute);
